<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Контакты</title>
    <link rel="icon" type="image/png" href="/images/logo.png">
    <link rel="stylesheet" href="/static/css/user/headerStyles.css">
    <link rel="stylesheet" href="/static/css/user/appointmentStyles.css">
    <link rel="stylesheet" href="/static/css/user/footerStyles.css">
    <script th:src="@{/scripts/copyScript.js}"></script>
    <script th:src="@{/scripts/maps.js}"></script>
    <script th:src="@{/scripts/text.js}"></script>
</head>
<body>
<header>
    <div class="container1">
        <nav class="flex-block">
            <ul>
                <li class="logo-container">
                    <a th:href="@{/admin}">
                        <img th:src="@{/images/logo.png}" width="80" height="80" alt="My Club Logo">
                    </a>
                </li>
                <li><a th:href="@{/admin/appointment}" th:classappend="${currentPage == 'adminclub'} ? 'active' : ''">Запись</a></li>
                <li><a th:href="@{/admin/services}" th:classappend="${currentPage == 'adminservices'} ? 'active' : ''">Услуги</a></li>
                <li><a th:href="@{/admin/team}" th:classappend="${currentPage == 'adminteam'} ? 'active' : ''">Команда</a></li>
                <li><a th:href="@{/admin/contacts}" th:classappend="${currentPage == 'admincontacts'} ? 'active' : ''">Контакты</a></li>
                <li><a th:href="@{/admin/changeAdmin}" th:classappend="${currentPage == 'changeAdmin'} ? 'active' : ''">Администратор</a></li>
                <li><a th:href="@{/}">Выйти</a></li>
            </ul>
        </nav>
    </div>
</header>
<div class="container">
    <div class="form-container">
        <form id="adminForm" action="#" th:action="@{/admin/changeAdmin}" th:object="${adminModel}" method="post">
            <label for="username">Имя администратора</label>
            <input type="text" id="username" name="username" th:field="*{username}" />

            <label for="password">Пароль</label>
            <input type="text" id="password" name="password" th:field="*{password}" />

            <input type="submit" value="Сохранить" />
        </form>
        <div th:if="${success}" class="success-message">
            <img src="/images/success.png" alt="Запись успешна" />
        </div>
    </div>
</div>
</body>
</html>
